package com.dgtly.system.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 电子单签收状态数量对象 meta_hana_deliver_sign
 *
 * @author njs
 * @date 2025-01-03
 */
@Data
public class MetaHanaDeliverSign extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 交货单号 */
    @Excel(name = "交货单号")
    private String deliverNumber;

    /** 交货单行项目号 */
    @Excel(name = "交货单行项目号")
    private String deliverItem;

    /** 物料号 */
    @Excel(name = "物料号")
    private String matnrCode;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNumber;

    /** 订单行项目 */
    @Excel(name = "订单行项目")
    private String orderItem;

    /** 订单创建日期 */
    @Excel(name = "订单创建日期")
    private String orderCreateTime;

    /** 交货数量 */
    @Excel(name = "交货数量")
    private String deliverQty;

    /** 实收数量 */
    @Excel(name = "实收数量")
    private String actualQty;

    /** 差异数量 */
    @Excel(name = "差异数量")
    private String differenceQty;

    /** 客户签署日期 */
    @Excel(name = "客户签署日期")
    private String zdateDate;

    /** 客户签署时间 */
    @Excel(name = "客户签署时间")
    private String zdateTime;

    /** 异常处理订单 */
    @Excel(name = "异常处理订单")
    private String abnormalOrder;

    /** 异常处理订单签收状态 */
    @Excel(name = "异常处理订单签收状态")
    private String abnormalStatus;



}
