package com.dgtly.system.mapper;

import com.dgtly.system.domain.MetaHanaDeliverSign;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 电子单签收状态数量Mapper接口
 *
 * @author dgtly
 * @date 2025-01-03
 */
public interface MetaHanaDeliverSignMapper
{
    /**
     * 查询电子单签收状态数量
     *
     * @param deliverNumber 电子单签收状态数量ID
     * @return 电子单签收状态数量
     */
    public MetaHanaDeliverSign selectMetaHanaDeliverSignById(String deliverNumber);

    /**
     * 查询电子单签收状态数量列表
     *
     * @param metaHanaDeliverSign 电子单签收状态数量
     * @return 电子单签收状态数量集合
     */
    public List<MetaHanaDeliverSign> selectMetaHanaDeliverSignList(MetaHanaDeliverSign metaHanaDeliverSign);




    /**
     * 修改电子单签收状态数量
     *
     * @param metaHanaDeliverSign 电子单签收状态数量
     * @return 结果
     */
    public int updateMetaHanaDeliverSign(MetaHanaDeliverSign metaHanaDeliverSign);

    /**
     * 删除电子单签收状态数量
     *
     * @param deliverNumber 电子单签收状态数量ID
     * @return 结果
     */
    public int deleteMetaHanaDeliverSignById(String deliverNumber);

    /**
     * 批量删除电子单签收状态数量
     *
     * @param deliverNumbers 需要删除的数据ID
     * @return 结果
     */
    public int deleteMetaHanaDeliverSignByIds(String[] deliverNumbers);

    /**
     * @description: 查询有补货订单的电子签收数据
     * @param: []
     * @return: java.util.List<com.dgtly.system.domain.MetaHanaDeliverSign>
     * @author: njs
     * @date: 2025/1/3 15:58
     */
    public List<MetaHanaDeliverSign> selectMetaHanaDeliverSignListHavingAbnormal();

    /**
     * @description: 根据补货订单的订单号和行号查询该补货订单的详情
     * @param: []
     * @return: com.dgtly.system.domain.MetaHanaDeliverSign
     * @author: njs
     * @date: 2025/1/3 16:04
     */
    MetaHanaDeliverSign selectAbnormalSignByabnormalOrderAndItem(@Param("abnormalOrder") String abnormalOrder,@Param("abnormalOrderItem") String abnormalOrderItem);
}
