package com.dgtly.system.service;

import com.dgtly.system.domain.MetaHanaDeliverSign;
import java.util.List;

/**
 * 电子单签收状态数量Service接口
 *
 * @author dgtly
 * @date 2025-01-03
 */
public interface IMetaHanaDeliverSignService
{
    /**
     * 查询电子单签收状态数量
     *
     * @param deliverNumber 电子单签收状态数量ID
     * @return 电子单签收状态数量
     */
    public MetaHanaDeliverSign selectMetaHanaDeliverSignById(String deliverNumber);

    /**
     * 查询电子单签收状态数量列表
     *
     * @param metaHanaDeliverSign 电子单签收状态数量
     * @return 电子单签收状态数量集合
     */
    public List<MetaHanaDeliverSign> selectMetaHanaDeliverSignList(MetaHanaDeliverSign metaHanaDeliverSign);



    /**
     * 修改电子单签收状态数量
     *
     * @param metaHanaDeliverSign 电子单签收状态数量
     * @return 结果
     */
    public int updateMetaHanaDeliverSign(MetaHanaDeliverSign metaHanaDeliverSign);

    /**
     * 批量删除电子单签收状态数量
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteMetaHanaDeliverSignByIds(String ids);

    /**
     * 删除电子单签收状态数量信息
     *
     * @param deliverNumber 电子单签收状态数量ID
     * @return 结果
     */
    public int deleteMetaHanaDeliverSignById(String deliverNumber);


}
